# website | MatterLinux website

![](https://git.matterlinux.xyz/matter/website/actions/workflows/docker.yml/badge.svg)

Soruce code of Matterlinux's offical website, which is
located at [matterlinux.xyz](https://matterlinux.xyz)

### Deployment
Web server can be deployed with docker compose using the following configuration file:
```yaml
services:
  website:
    container_name: matterwebsite
    image: git.matterlinux.xyz/matter/website
    ports:
    - "127.0.0.1:9878:9878"
    volumes:
    - "./content:/app/content"
    restart: unless-stopped
```
After saving the configuration file, you can run the docker container:
```bash
docker-compose up -d
```

### Managing content
Website content can be managed by editing JSON and markdown files
under the `content` direcotry.

MatterLinux's website content directory can be found in the
[content](https://git.matterlinux.xyz/Matter/content)
repository.
